Subject: bug#60859: [PATCH] Remove reference to the kbd function from documentation

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Jan 2023 18:56:37 +0200

> From: Panagiotis Koutsourakis <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 16 Jan 2023 18:17:11 +0200
> 
> On Mon, Jan 16 2023, Eli Zaretskii wrote:
> 
> > I'm not sure we want to stop talking about 'kbd' in the manual.  How
> > about just adding the 'keymap-global-set' alternative without removing
> > 'kbd'?
> 
> 
> The reasoning behind the submitted patch is twofold:
> 
> 
> Firstly, in the current wording the description is inconsistent with the
> example: "The simplest way is to use @code{kbd} function..." but then in
> the example `kbd' is not used at all.
> 
> 
> Secondly, similar changes happened in the elisp reference manual between
> emacs 28 and 29: Compare section 23.15 in emacs 28 with section 23.16 in
> emacs 29 (both titled "Commands for Binding Keys"). Moreover, section
> 23.13 of the same manual in emacs 29 documents the legacy ways to bind
> keys and explicitly says that they should not be used in new code.
> 
> 
> Having said all that, I have no problem to rewrite it keeping `kbd' both
> in text and in a code example, and maybe adding some links to the
> relevant sections of the elisp reference. Let me know how I should
> proceed.

I prefer to keep the description of 'kbd' in the manual.  We can (and
probably should) reword the text if we are going to the
'keymap-global-set' alternative, and we should probably describe the
latter first.

> >> I think that this change qualifies as "small", but let me know if you
> >> think I need to assign copyright.
> >
> > You don't need for this change, but if you intend to contribute to
> > Emacs in the future, I recommend to start your legal paperwork now, so
> > that we will have it ready when you submit your next contribution.
> >
> > If you agree, I will send you the form to fill.
> 
> 
> Sure, that's fine with me. Is this form different than the one mentioned
> in the CONTRIBUTE file in the source tree?

It isn't, but then you don't need to go fetch it.  Attached, with the
instructions.

Thanks.

----------------------------------------------------------------------
Please email the following information to [email-masked], and we
will send you the assignment form for your past and future changes.

Please use your full legal name (in ASCII characters) as the subject
line of the message.
----------------------------------------------------------------------
REQUEST: SEND FORM FOR PAST AND FUTURE CHANGES

[What is the name of the program or package you're contributing to?]

[Did you copy any files or text written by someone else in these changes?
Even if that material is free software, we need to know about it.]

[Do you have an employer who might have a basis to claim to own
your changes?  Do you attend a school which might make such a claim?]

[For the copyright registration, what country are you a citizen of?]

[What year were you born?]

[Please write your email address here.]

[Please write your postal address here.]

[Which files have you changed so far, and which new files have you written
so far?]